Skip to content

PaymentTokenID inquiries

  • Endpoint: POST /delSuffixStart1
  • Tags: Collection Service /Payment Tokenization

Description

Note that the request address does not contain the interface description in brackets

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30The unique mark assigned to the merchant by PayerMax
bizTypestringYesmaxLength: 30Business code, this interface needs to pass in “inquirePaymentToken”
versionstringYesmaxLength: 5API version. Current value: :2.6
userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
tokenScopestringYesmaxLength: 16If not filled, it defaults to tokenAcq
paymentTokenIDstringNomaxLength: 64

Example

json
{
  "merchantId": "SP328900011",
  "bizType": "inquirePaymentToken",
  "version": "2.6",
  "userId": "r047281273",
  "tokenScope": "tokenAcq",
  "paymentTokenID": "PMTOKEN20221230182646924441600028843"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 10Response code
messagestringNomaxLength: 256Response description
dataobjectYesResponse body,It consists of common parameters and specific parameters,refer to the below【data parameters】
data.tokenListarray[object]Nolist of token
data.tokenList[].paymentTokenIDstringYesmaxLength: 64
data.tokenList[].userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
data.tokenList[].tokenScopestringYesmaxLength: 16Product Range
data.tokenList[].paymentTokenExpirystringYesmaxLength: 32Token validity period,Comply with rfc3339 specification, format: yyyy-MM-dd’T’HH:mm:ss.SSSXXX
data.tokenList[].paymentTokenStatusstringYesmaxLength: 16Token status, this field is required when paying with card token
data.tokenList[].cardInfostringNomaxLength: 19Mask card number, desensitized according to the first 6 and the last 4, such as 533333**2222
data.tokenList[].ifCVVstringNomaxLength: 1Whether CVV is required. Y: When using Token to pay, you need to input CVV again; N: CVV does not need to be entered again when using Token payment. Note: CVV is verified again according to the rules of the issuing bank
data.tokenList[].brandstringNomaxLength: 32Card groups, such as Visa, Mastercard, and dual-standard cards are returned
data.tokenList[].paymentMethodTypestringYespayment method type, such sa CARD, ONE_TOUCH
data.tokenList[].targetOrgstringNoThe target organisation, where paymentMethodType is CARD, targetOrg is empty string
data.tokenList[].accountDisplaystringNoMask account number, such as 63-9****72123, where paymentMethodType is CARD, accountDisplay is empty string

Response Example

json
{
  "data": {
    "tokenList": [
      {
        "tokenScope": "tokenAcq",
        "targetOrg": "KAKAOPAY",
        "ifCVV": "",
        "cardInfo": "",
        "paymentTokenID": "ed27884948d3b6cd0d17052e46064baf",
        "accountDisplay": "63-9****72180",
        "paymentTokenStatus": "Activated",
        "userId": "czy_0088",
        "brand": "",
        "paymentMethodType": "AUTO_DEBIT",
        "paymentTokenExpiry": "2123-07-13T09:24:37.000Z"
      },
      {
        "tokenScope": "tokenAcq",
        "targetOrg": "",
        "ifCVV": "N",
        "cardInfo": "455701******1231",
        "paymentTokenID": "PMTOKEN20230710080439571142400031000",
        "accountDisplay": "",
        "paymentTokenStatus": "Activated",
        "userId": "czy_0088",
        "brand": "VISA",
        "paymentMethodType": "CARD",
        "paymentTokenExpiry": "2023-07-14T00:00:00.537Z"
      }
    ]
  },
  "bizCode": "0000",
  "message": "success"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.